- Qt 6.8
- Qt Help
- C++ Classes
- QHelpSearchQuery
- Qt 6.8.0 Reference Documentation

# QHelpSearchQuery Class

The QHelpSearchQuery class contains the field name and the associated search term. More...

Header: | #include <QHelpSearchQuery>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Help) target_link_libraries(mytarget PRIVATE Qt6::Help)
qmake: | QT += help
Status: | Deprecated

This class is deprecated. We strongly advise against using it in new code.

- List of all members, including inherited members
- Deprecated members

## Public Functions

| QHelpSearchQuery()
| QHelpSearchQuery(QHelpSearchQuery::FieldName field, const QStringList &wordList)

## Detailed Description

The QHelpSearchQuery class contains the field name and the associated search term. Depending on the field the search term might get split up into separate terms to be parsed differently by the search engine.

Note: This class has been deprecated in favor of QString.

See also QHelpSearchQueryWidget.

## Member Function Documentation

### QHelpSearchQuery::QHelpSearchQuery()

Constructs a new empty QHelpSearchQuery.

### QHelpSearchQuery::QHelpSearchQuery(QHelpSearchQuery::FieldName field, const QStringList &wordList)

Constructs a new QHelpSearchQuery and initializes it with the given field and wordList.